Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://api.henrylabs.ai/v0/checkout/session/products \ --header 'x-api-key: <api-key>' \ --header 'x-session-token: <x-session-token>'
{ "success": true, "status": "<string>", "message": "<string>", "data": { "products": [ { "name": "Men's Trail Runners", "price": "100", "quantity": 1, "productLink": "https://www.on.com/en-us/products/cloud-6-versa-m-3mf1004/mens/black-eclipse-shoes-3MF10040106", "productId": "P01145AC2", "metadata": { "color": "Black", "size": "9" }, "affiliateProductLink": "https://www.on.com/en-us/products/cloud-6-versa-m-3mf1004/mens/black-eclipse-shoes-3MF10040106?ref=affiliate123", "productImageLink": "https://images.ctfassets.net/hnk2vsx53n6l/2xi62H2BswFpVK0SjUmhXM/0d4a4bb14915c9a5d3228df45c774629/c36d3fd00cf91ec9fb5ff4bc4d4a0093cccbe8cd.png?w=192&h=192&fm=avif&f=center&fit=fill&q=80", "variantCheck": { "requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "status": "<string>", "result": null, "errorMessage": null, "createdAt": "<string>", "completedAt": "2024-01-15T10:30:05Z" } } ] } }
Returns products for the checkout session
Checkout session products fetched successfully
true
"success"
"Checkout session products fetched successfully"
Show child attributes
Was this page helpful?